openSUSE 12.1 GNOME + problemi con driver AMD (non installare).

117 risposte [Ultimo messaggio]
Ritratto di Susino86
Susino86
(Junior)
Offline
Junior
Iscritto: 08/02/2012
Messaggi: 6

Salve a tutti mi unisco voi mi sono accorto che durante l'installazione dei driver sia da repo che da driver scaricati da ATI mi ritorna questo errore:

/usr/bin/aticonfig: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory

Sinceramente non so che cosa voglia è la prima volta che mi succede una cosa del genere XD

Ritratto di Suse98
Suse98
(Guru)
Offline
Guru
Iscritto: 03/10/2010
Messaggi: 1711

Mmmm, prova ad installare la libreria libgl
Forse richiede quella, a me non me lo ha chiesto

SUSE LINUX Rilascio 12.3 (Dartmounth) KDE 4.10 && GNOME 3.8

Ritratto di doc_pluto
doc_pluto
(Guru)
Offline
Guru
Iscritto: 08/02/2007
Messaggi: 871

Susino86 ha scritto:

Salve a tutti mi unisco voi mi sono accorto che durante l'installazione dei driver sia da repo che da driver scaricati da ATI mi ritorna questo errore:

/usr/bin/aticonfig: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory

Sinceramente non so che cosa voglia è la prima volta che mi succede una cosa del genere XD

è abbastanza chiaro il messaggio di errore: gli manca una libreria per continuare, non riesce a trovare il file perchè non esiste.
installa libglib

sudo zypper in libglib

Hardware: MB:P5E3_Deluxe - CPU:Core2Duo E8400 3.0GHz - RAM:Kingstone_2Gb_DDR3 - Video:GeForce9600GT/PCI/SSE2 - HD: 2x WDCaviarBlue 1TB
--------------------------------
Software: SO:openSuSE 12.1 - ARCH:64bit - DE:Gnome3 - DriverVideo:Ufficiali Nvidia

Ritratto di Suse98
Suse98
(Guru)
Offline
Guru
Iscritto: 03/10/2010
Messaggi: 1711

Ancora niente D Oh e sto con una ATI Radeon™ HD 6770
Allora, ho scaricato i driver 12.1, installati e mi dice sempre che c'è stato un'errore nell'installazione e mi consiglia di vedere il log.
Ecco il log:

Uninstalling any previously installed drivers.
Unloading radeon module...
ERROR: Module radeon is in use
Unloading drm module...
ERROR: Module drm is in use by radeon,ttm,drm_kms_helper
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Error] Kernel Module : Kernel module build environment not found - please consult readme.

Io una volta li ho installati con la 3780. Da quella volta vi dice sempre questo.
Visto e considerando che sto con GNOME ho due possibilita:
1) mettermi KDE e stare con i proprietari;
2) stare con GNOME con gli open.

Ma secondo me dovrei rinominare la cartella /usr/share/ati in ati.bkp e vedere se mi dice ancora quell'errore.
Ora li ho rimossi da falisafe dato che col kernel desktop non si vedeva nulla

Cosa mi consigliate ?
Posso rinominare la cartella ?
Grazie Wave

SUSE LINUX Rilascio 12.3 (Dartmounth) KDE 4.10 && GNOME 3.8

Ritratto di Gollum
Gollum
(Collaboratore)
Offline
Collaboratore
Iscritto: 03/03/2005
Messaggi: 802

Citazione:

Kernel module build environment not found


output del comando
rpm -qa | grep kernel

Desktop DELL XPS8100 => openSUSE_12.2 => KDE 4.10 => Core i7 => 3.4.28-2.20 => Nvidia GT220
Notebook Sony Vaio VPPCA =>openSUSE_12.2 => KDE 4.10 => Core i5 => 3.4.28-2.20 => AMD HD 6470M

Ritratto di Suse98
Suse98
(Guru)
Offline
Guru
Iscritto: 03/10/2010
Messaggi: 1711

Gollum ha scritto:

Citazione:

Kernel module build environment not found


output del comando
rpm -qa | grep kernel

nfs-kernel-server-1.2.5-4.3.1.x86_64
kernel-firmware-20111025git-1.7.1.noarch
kernel-desktop-3.1.9-1.4.1.x86_64
kernel-docs-3.1.9-1.4.2.noarch

SUSE LINUX Rilascio 12.3 (Dartmounth) KDE 4.10 && GNOME 3.8

Ritratto di Gollum
Gollum
(Collaboratore)
Offline
Collaboratore
Iscritto: 03/03/2005
Messaggi: 802

Suse98 ti manca l'ambiente di sviluppo per compilare 'sti benedetti driver Surprise

# zypper in kernel-devel make gcc gcc-c++

Inoltre devi mettere driver open Radeon in blacklist se vuoi compilare i driver scaricati dal sito ATI. Altrimenti devi installare quelli del repo joda. Che vuoi fare?

Desktop DELL XPS8100 => openSUSE_12.2 => KDE 4.10 => Core i7 => 3.4.28-2.20 => Nvidia GT220
Notebook Sony Vaio VPPCA =>openSUSE_12.2 => KDE 4.10 => Core i5 => 3.4.28-2.20 => AMD HD 6470M

Ritratto di Suse98
Suse98
(Guru)
Offline
Guru
Iscritto: 03/10/2010
Messaggi: 1711

Quali sono i migliori ?
I migliori scelgo Wink

SUSE LINUX Rilascio 12.3 (Dartmounth) KDE 4.10 && GNOME 3.8

Ritratto di Gollum
Gollum
(Collaboratore)
Offline
Collaboratore
Iscritto: 03/03/2005
Messaggi: 802

Sono gli stessi, solo che quelli scaricati da ATI li devi compilare sul sistema tenendo conto che li dovrai ricompilare ogni qualvolta aggiornerai il kernel. Quelli di Joda ( quindi aggiungendo il suo repo ) sono già compilati in un pacchetto binario ed il vantaggio è li avrai sempre aggiornati. Quindi a te la scelta

Desktop DELL XPS8100 => openSUSE_12.2 => KDE 4.10 => Core i7 => 3.4.28-2.20 => Nvidia GT220
Notebook Sony Vaio VPPCA =>openSUSE_12.2 => KDE 4.10 => Core i5 => 3.4.28-2.20 => AMD HD 6470M

Ritratto di Suse98
Suse98
(Guru)
Offline
Guru
Iscritto: 03/10/2010
Messaggi: 1711

Ok, quelli dal repo joda.

SUSE LINUX Rilascio 12.3 (Dartmounth) KDE 4.10 && GNOME 3.8